/***************************************************************************
 *
 *  ZXEmuT -- ZX Spectrum Emulator with Tcl scripting
 *
 *  Copyright (C) 2012-2022 Ketmar Dark <ketmar@ketmar.no-ip.org>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, version 3 of the License ONLY.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 **************************************************************************/
#include "libboots.h"

const uint8_t boot6[1809] = {
0x62,0x6f,0x6f,0x74,0x20,0x20,0x20,0x20,0x42,0xfc,0x06,0xfc,0x06,0x00,0x07,0xea,
0x85,0x00,0x0a,0x24,0x00,0xfd,0xb0,0x22,0x36,0x35,0x33,0x36,0x37,0x22,0x3a,0xf9,
0xc0,0xb0,0x22,0x32,0x33,0x39,0x31,0x36,0x22,0x3a,0xea,0x3a,0x20,0x22,0x43,0x59,
0x42,0x45,0x52,0x45,0x58,0x20,0x22,0x20,0x0d,0x00,0x14,0xd0,0x06,0xea,0x05,0x28,
0x0f,0x38,0xf3,0x21,0x83,0x5d,0x11,0x00,0x80,0x01,0xad,0x00,0xd5,0xed,0xb0,0x21,
0x16,0x64,0x11,0x3a,0xc7,0x01,0xe7,0x05,0xc9,0xed,0xb8,0xed,0x73,0x98,0x80,0x31,
0x54,0xc1,0x11,0x00,0xc0,0x60,0xd9,0x01,0x10,0x01,0x3e,0xd9,0x10,0x02,0xe1,0x41,
0x29,0x30,0x07,0x3b,0xf1,0xd9,0x12,0x13,0x18,0xf1,0x11,0x03,0x00,0x3e,0x80,0x10,
0x02,0xe1,0x41,0x29,0x17,0x38,0xf8,0xbb,0x38,0x06,0x82,0x57,0xd6,0x0f,0x20,0xed,
0x82,0x28,0x4f,0x3b,0xbb,0xd9,0x4f,0x30,0x14,0x0c,0x3d,0x20,0x10,0xf1,0x3c,0x28,
0x4f,0x6f,0x7b,0x95,0x6f,0x7a,0x9c,0x67,0xed,0xb0,0x60,0x18,0xbe,0x28,0x24,0xf1,
0x6f,0xd9,0x10,0x02,0xe1,0x41,0x29,0xd9,0x30,0xe8,0xcb,0xf4,0xd9,0x10,0x02,0xe1,
0x41,0x29,0xd9,0xcb,0x14,0x30,0xf5,0xd9,0x10,0x02,0xe1,0x41,0x29,0xd9,0x38,0xea,
0x24,0x18,0xcf,0xf1,0xb7,0x28,0x07,0xc6,0x0f,0x4f,0x30,0x03,0x04,0x3e,0xc1,0x3b,
0x18,0xcd,0x3e,0xe0,0x10,0x02,0xe1,0x41,0x29,0x17,0x38,0xf8,0xd9,0x0c,0x18,0xae,
0x31,0x8d,0x82,0x21,0xaa,0x80,0x01,0x03,0x00,0xed,0xb0,0x21,0x58,0x27,0xd9,0xf3,
0xc3,0x00,0xc0,0xe0,0x01,0xf0,0x81,0xff,0x21,0x73,0xc5,0x36,0xc9,0x3e,0x5a,0xd3,
0x7f,0x07,0xff,0x5f,0x01,0xdf,0xff,0xed,0x50,0x06,0xfb,0x58,0xf8,0x82,0x05,0x78,
0xbb,0x28,0x0f,0xba,0x15,0x2f,0x0c,0x36,0x21,0x04,0x68,0x14,0x9c,0x06,0x15,0x60,
0x22,0x7f,0xc6,0x57,0x00,0x3d,0x11,0x20,0xb7,0xc1,0x0a,0xc5,0xd5,0xf8,0xc1,0x08,
0x7e,0x07,0xb6,0x01,0x4c,0xf8,0x04,0xcb,0x11,0x5e,0x16,0x10,0xfa,0x04,0xf9,0x3f,
0x02,0x79,0xe6,0xf0,0x12,0x23,0x14,0xc1,0x10,0xe2,0xd1,0x1c,0x04,0x11,0xff,0xd9,
0x21,0x2b,0xc7,0x11,0x00,0xb6,0x0e,0xed,0xfc,0x89,0xb0,0x68,0x5d,0x7e,0xd3,0xfe,
0x2c,0x05,0x1f,0x32,0x48,0x5c,0x8d,0x9a,0x04,0x08,0x99,0xc4,0x05,0x73,0x42,0xa6,
0xcd,0x6b,0x0d,0x53,0x80,0xae,0xf8,0x55,0x5d,0x01,0x05,0x0f,0x20,0xc2,0xa7,0x43,
0x0b,0xf2,0xdd,0x0f,0x33,0x8f,0xfc,0x0b,0xe4,0x7f,0xaf,0x47,0x77,0x2f,0x32,0x07,
0x4f,0x70,0xdd,0x7e,0xa7,0x73,0xf0,0x28,0x2e,0xfe,0x01,0x24,0x09,0x08,0xcc,0x0d,
0x43,0x20,0x07,0x06,0x0d,0x6a,0x34,0xc0,0x07,0xde,0x18,0x0d,0x42,0x0f,0x34,0xe5,
0x0d,0x20,0xe1,0x18,0xa2,0x62,0x07,0x43,0x06,0x18,0xd2,0x09,0xff,0x42,0x09,0xcc,
0xcd,0x6c,0xc2,0x3e,0x14,0x32,0x61,0xd2,0xf4,0xc0,0x46,0x7e,0x53,0x09,0xff,0xbf,
0x17,0xc6,0xcd,0x6f,0xc2,0xc3,0xb6,0xc1,0xfe,0x51,0x38,0x02,0x36,0x50,0x31,0x8f,
0xeb,0xb6,0x1a,0x85,0x40,0xd7,0x66,0x0b,0x3a,0x21,0xc6,0x27,0x2c,0x18,0xf0,0xf8,
0x0b,0xef,0x7f,0x95,0x38,0x03,0x24,0x62,0x8e,0xf7,0x5d,0x54,0x81,0xd0,0xc7,0xe4,
0x3a,0x0e,0x74,0x01,0x9f,0x11,0x00,0x74,0x03,0x3e,0x17,0x94,0xc6,0xc3,0xcb,0x3f,
0x77,0xf0,0xcf,0xd5,0xe7,0x00,0x62,0xcd,0xa9,0x30,0xd1,0x2c,0x7f,0x03,0x75,0x02,
0x4d,0x3e,0x20,0x91,0xf0,0x6b,0x17,0x00,0xd5,0xcd,0x90,0xc4,0xd1,0x0a,0x9e,0x7b,
0x32,0x66,0xc1,0xa0,0x0e,0x0a,0x7a,0x60,0x9e,0x0f,0x21,0x28,0xc6,0x9b,0x01,0x3c,
0x77,0x52,0x48,0x25,0xb9,0x06,0x5e,0x70,0xcf,0x8f,0x06,0xc5,0xcd,0xee,0xc1,0x42,
0x42,0x05,0xf7,0x43,0x4e,0x3a,0x1c,0x3c,0x32,0x03,0x73,0x94,0xb0,0x12,0x66,0x04,
0x47,0x0b,0x4e,0x17,0xdd,0x5e,0x00,0x56,0x01,0xcb,0xfd,0x14,0x1c,0x62,0x6b,0xcb,
0x24,0x02,0x25,0x8e,0x5a,0x02,0x22,0xe0,0x71,0x70,0xc1,0xc5,0x51,0x4f,0x39,0x64,
0x15,0xc2,0xd1,0x57,0xf4,0x38,0x7c,0x33,0x0e,0x36,0xff,0x74,0x4c,0x1e,0xc3,0xe2,
0x75,0xfe,0x0e,0xca,0x62,0xc0,0x3d,0x6f,0x26,0x5c,0xf3,0xc4,0x38,0x4f,0x18,0x19,
0xe5,0x58,0x5d,0x01,0x08,0xe2,0x11,0xed,0xb0,0xdd,0xe1,0x91,0x77,0x20,0xf7,0x33,
0x03,0x9c,0x13,0xaf,0xec,0x99,0x56,0x5d,0xc6,0xc1,0xa4,0x61,0xc3,0x63,0x7b,0x3d,
0xe5,0x21,0x27,0x10,0xe1,0xc9,0xf0,0x30,0x58,0x08,0x60,0xf1,0xe9,0x2e,0x09,0xd5,
0xed,0x5b,0x96,0x01,0x10,0x1c,0x93,0x67,0x53,0x05,0xaf,0x32,0x9c,0x6a,0x69,0xe3,
0x3e,0xf0,0xc9,0x72,0x23,0x73,0x7b,0xc6,0x07,0x5f,0x2b,0x2a,0xf6,0xdd,0x2a,0xf0,
0xc1,0x3d,0x5c,0x22,0x47,0xc2,0xe6,0x79,0x21,0x41,0x03,0xe5,0xed,0x73,0x0d,0x08,
0x53,0x70,0x26,0x0f,0x5d,0x10,0x02,0x12,0xfd,0x38,0x0a,0xc3,0x13,0x3e,0x06,0x09,
0x08,0x09,0xab,0x22,0x19,0xfe,0x9c,0x3a,0x17,0xc9,0x7a,0xaf,0x9e,0x0e,0xd1,0x7b,
0x85,0x6f,0xe3,0x3d,0x50,0x7e,0x23,0xdf,0xf0,0xe5,0xc5,0xcd,0x95,0xc1,0xe1,0x10,
0xf5,0xc9,0x1f,0xc5,0x21,0xf4,0x0e,0xa7,0xc8,0xfe,0x16,0xd6,0xce,0x20,0x17,0x07,
0xd5,0xe5,0x29,0x1a,0x13,0x70,0xfc,0x2a,0xe1,0xeb,0x18,0x84,0x44,0x13,0x2a,0x3f,
0x0d,0xda,0x4e,0x40,0x5f,0x16,0xb7,0x3e,0x63,0x0a,0xe0,0xf3,0x87,0xbf,0x4f,0xed,
0x44,0xd6,0x11,0x32,0xd3,0x78,0xf8,0xcb,0x21,0x06,0xb6,0x0a,0xc5,0x14,0x79,0x0c,
0x04,0x57,0x10,0x09,0xc3,0xd0,0x7a,0x09,0x0f,0x01,0xd7,0xfe,0x4f,0xe6,0x00,0xb6,
0x77,0x2c,0x79,0x06,0x2d,0x24,0x1a,0xa7,0xf3,0x14,0x10,0xef,0x3a,0x4c,0xc6,0x05,
0x52,0xfe,0x08,0xd8,0x60,0xd2,0xe6,0x07,0x08,0x2a,0x60,0x2c,0x71,0x60,0xef,0x7c,
0xc6,0x92,0xf4,0x67,0x6c,0xc9,0x22,0x28,0x7c,0x8c,0x28,0x12,0x05,0xc3,0xd4,0xc2,
0xcd,0xde,0x2c,0x20,0x0a,0xc4,0x16,0x14,0x3b,0xfb,0x76,0x48,0x12,0xf4,0x0a,0x07,
0x5c,0x28,0xab,0xa7,0x20,0x93,0xf0,0x5b,0xe3,0x7f,0x18,0x21,0x04,0x34,0x3f,0xe1,
0xeb,0x2a,0xe0,0x4f,0xcb,0x49,0x28,0x10,0x1a,0x1f,0xcc,0x06,0x01,0x6d,0x38,0x04,
0x7d,0xa7,0x80,0x17,0x19,0x2d,0xc3,0x1d,0xf8,0xcb,0x41,0x80,0xdf,0x11,0x14,0x86,
0xa3,0x80,0x04,0x2c,0xea,0xf7,0x10,0xf7,0xcb,0x59,0x29,0x7c,0x09,0x90,0x29,0x25,
0x29,0x51,0xa1,0x7e,0x29,0x7c,0x01,0x66,0xb6,0x28,0x24,0x16,0x3e,0x29,0x61,0xc0,
0x3a,0xe5,0x7f,0x47,0xaa,0x69,0x05,0xea,0x06,0x20,0x0f,0x0e,0x9e,0xc0,0xc3,0x1e,
0x24,0xf7,0xed,0x78,0xaf,0x98,0x0f,0x04,0xc1,0x62,0xc0,0xcd,0x73,0x04,0xfe,0xc5,
0xdb,0x1f,0x5f,0xe6,0x03,0xfe,0xc6,0x7f,0x02,0x1e,0x00,0x21,0x33,0x02,0xff,0x4e,
0x0c,0x0d,0x7b,0xc8,0x23,0x46,0x9f,0x70,0x22,0x2f,0xa6,0x28,0x03,0x7e,0xb3,0x5f,
0xea,0x0b,0x18,0xeb,0xcd,0x33,0x1a,0xde,0xb8,0x79,0x06,0x0b,0x12,0x2c,0x1c,0x47,
0x41,0x03,0x2d,0xf3,0xfd,0x20,0xc5,0x10,0xf3,0xc9,0x16,0x1a,0x77,0xfc,0x25,0x15,
0x03,0x16,0xff,0xb5,0x07,0x01,0xe5,0x21,0x2b,0xc6,0x5f,0x16,0x00,0x19,0xd1,0x82,
0x43,0x21,0x49,0xb6,0x12,0x49,0x2e,0x23,0x07,0x1d,0x4d,0x27,0x03,0x07,0x10,0xc9,
0x87,0xcf,0xed,0x4b,0x8e,0x78,0xc3,0xb0,0x22,0x09,0x9f,0x5b,0x07,0xaf,0x4f,0x32,
0xe2,0x21,0x2d,0xf7,0xfe,0x6f,0xcb,0x3a,0x02,0x3b,0x02,0x7e,0x40,0x23,0x3e,0xff,
0xbe,0xc8,0x0c,0x7a,0xfe,0x0f,0x20,0xf5,0x7b,0x2c,0x46,0x2d,0xb8,0x38,0xee,0x17,
0x16,0x7e,0xc6,0x06,0xd0,0x87,0xbb,0xe6,0x79,0x2d,0x5f,0x5c,0x5e,0x6e,0xcd,0xf0,
0xd8,0xfe,0xc4,0x16,0x58,0x19,0x3e,0x38,0xa6,0xbe,0x0c,0x0d,0x07,0x23,0x98,0x76,
0xb1,0x06,0x8d,0x10,0x82,0xf9,0xfc,0xc9,0xdd,0x34,0x00,0x02,0x01,0x34,0xfc,0x36,
0x04,0x0f,0xcd,0xf8,0xc4,0x35,0x6a,0x82,0x0c,0x0d,0x38,0x4d,0xd4,0x0d,0x7e,0xf5,
0x3f,0x54,0x33,0x7d,0x86,0x00,0x6f,0xfc,0x07,0x46,0x02,0x36,0xff,0x23,0x10,0xfb,
0xe7,0xfb,0x07,0x03,0xf1,0xf5,0xc5,0x16,0x06,0x08,0xe5,0xc6,0xf3,0x7e,0xf6,0xc0,
0x77,0x28,0x02,0x85,0x3d,0x9f,0x18,0x09,0x03,0xe1,0x24,0x10,0xed,0x37,0xe1,0xc1,
0xf1,0x3c,0xdc,0x25,0x68,0xcf,0x31,0xc9,0x26,0x00,0x29,0x01,0x58,0x90,0x67,0x39,
0x4e,0x02,0x3d,0x2d,0x6e,0x01,0x8c,0x7c,0xc6,0x58,0x67,0xc3,0xe3,0x57,0x7e,0x04,
0x11,0x20,0x37,0x7c,0xc5,0xe5,0x77,0x23,0x0d,0xfb,0xe1,0xc1,0x83,0xff,0x19,0x10,
0xf4,0xc9,0x24,0x7c,0xe6,0x07,0xc0,0xb6,0xcf,0xd6,0x08,0x20,0xc6,0x20,0x6f,0xd0,
0x43,0x28,0xbc,0xc9,0xfe,0xfb,0x01,0x38,0x38,0xfd,0x04,0x01,0x3c,0xdf,0x02,0x03,
0x00,0x0e,0x07,0x1f,0x7f,0x05,0x10,0xef,0x83,0x0c,0x04,0x39,0x88,0x17,0x04,0x17,
0x18,0x06,0x1c,0x83,0x13,0xeb,0x33,0x00,0xe6,0x03,0x28,0x37,0xbe,0x84,0xbf,0x09,
0xaf,0x32,0x95,0xc5,0x3e,0x05,0x6e,0x84,0x90,0x27,0xba,0x4e,0x8b,0x05,0xe5,0x7f,
0xb2,0xaf,0x8e,0x5f,0xee,0x02,0x01,0xdf,0xfa,0xfa,0xa3,0xb7,0x28,0xcf,0x1f,0xdd,
0xcb,0x05,0x16,0x05,0x2a,0x42,0x00,0x58,0x83,0xc0,0xed,0x5b,0x3f,0x33,0x18,0xfb,
0x18,0x32,0x07,0x93,0x28,0x1d,0xf2,0xb8,0xf0,0xa8,0xc5,0x09,0x01,0x87,0x85,0x38,
0x46,0x7e,0xaf,0x6f,0x18,0x0e,0x07,0x8c,0xe2,0x77,0x03,0x6b,0xf8,0x0c,0x1e,0x02,
0x3e,0xe1,0xd3,0xf9,0xff,0x27,0xee,0x7f,0x92,0x28,0x20,0x1d,0xfa,0x44,0xf2,0xe1,
0x29,0x95,0x87,0x84,0x31,0x39,0x29,0x67,0x18,0x0f,0x07,0x0d,0x02,0x40,0x29,0x2a,
0xb6,0x2a,0x5f,0x75,0x67,0x4b,0xc9,0x16,0x17,0x06,0x27,0x3f,0xf8,0x53,0x54,0x45,
0x41,0x4c,0x48,0x20,0x42,0x4f,0x14,0x00,0x82,0x61,0x05,0x59,0x48,0xa0,0x52,0x10,
0x53,0xd8,0xc8,0x46,0x57,0x78,0x72,0x0a,0x80,0x0c,0x0d,0x4e,0xc1,0xb1,0x41,0xe0,
0x58,0x92,0xf0,0x46,0x49,0x4c,0x53,0x0f,0x40,0x40,0xb9,0xbf,0xe7,0xc0,0xff,0x1f,
0x40,0x03,0x0f,0x60,0xce,0x39,0x03,0x07,0x70,0x03,0x03,0x78,0x03,0x01,0x7c,0x51,
0x40,0x03,0x7e,0x08,0xd3,0x28,0x0c,0x07,0x1c,0x24,0x53,0x4c,0x02,0x05,0x01,0xef,
0x18,0xc7,0x10,0xce,0x39,0x03,0xc3,0x18,0x03,0xc1,0x1c,0x03,0xc0,0x1e,0x64,0x9a,
0x04,0x1f,0x7f,0x04,0x3f,0x80,0x0b,0xa6,0xd1,0x07,0xc1,0x1c,0x24,0x99,0x29,0x09,
0x40,0xfb,0x18,0xf1,0x04,0x03,0xf0,0xed,0x49,0x32,0x03,0x07,0x2f,0x03,0x37,0x03,
0x86,0xce,0x1f,0xc0,0x03,0x0f,0xe0,0x08,0x0b,0x04,0x62,0x5a,0x13,0x24,0x09,0x40,
0xfe,0x24,0x99,0x18,0xfc,0x01,0x23,0x03,0x37,0x4e,0x92,0x03,0x37,0x03,0x37,0x03,
0x07,0xf0,0x4b,0x74,0x03,0x03,0xf8,0x08,0x0c,0x1f,0x40,0x8c,0x24,0x09,0x40,0xf8,
0xc0,0xc0,0x7c,0x3e,0x9f,0x9f,0x23,0x0f,0x80,0x07,0xc0,0x03,0xff,0x37,0x03,0x07,
0xf0,0x03,0x2e,0xd1,0x03,0xf8,0x08,0x0c,0x1f,0x24,0x03,0x31,0x09,0x40,0xf8,0x7c,
0x02,0x03,0x3e,0x7f,0x7e,0x23,0x0f,0x80,0x07,0xc0,0x03,0xff,0x00,0x80,0xaa,0x0a,
0x00,};
